Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Interface FlatRecordFieldReader

All Known Implementing Classes:
  BinaryFieldReader, DelimitedFieldReader, DelimitedNamedFieldReader, DelimitedRepeatingGroupReader, DelimitedRepeatingSegmentReader, FixedRepeatingGroupReader, IntegerFieldReader, MultivaluedDelimitedFieldReader, OverpunchFieldReader, PackedDecimalFieldReader, PositionalFieldReader, RepeatingFieldReader

    public interface FlatRecordFieldReader

Method Summary
`int` | `getFixedEndPosition(Record parameters, Record currentRecord, int currentPosition)` Returns the end position of the field, relative to the start position, if known, otherwise the current position.
`void` | `readField(ServiceContext context, Flow flow, RecordInput recordInput, Delimiter[] recordDelimiters, int recordDelimiterStart, int recordDelimiterCount, RecordBuilder recordBuilder)`

Method Detail

### readField

    void readField(ServiceContext context,
                   Flow flow,
                   RecordInput recordInput,
                   Delimiter[] recordDelimiters,
                   int recordDelimiterStart,
                   int recordDelimiterCount,
                   RecordBuilder recordBuilder)

### getFixedEndPosition

    int getFixedEndPosition(Record parameters,
                            Record currentRecord,
                            int currentPosition)

  Returns the end position of the field, relative to the start position, if known, otherwise the current position. Returns -1 if the width of the field is unknown, for example, if the field is ended with a delimiter, or if the field contains an unknown count of repeating fixed length records.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD